Description

Hi Bhanu Sir,

Could you please configure for new input to output file conversion process as per below.

1) Please display a new value "Balaji Structure Format" for the dropdown field Device
2) Please Create a new text field in the File Upload Screen to Enter 15 character Test by the user when the Device dropdown value
is Selected as "Balaji Structure Format".

Input File:
00540,000974,197890 ,000001,16-04-24,12345678
01807,002500, GEETA G MAGI ,002600,15-04-24,000200

The Above file is a input file for the pigmy uploading process:
1.Here,the first line Defines:

00540,000974,197890 ,000001,16-04-24,12345678

MEANING OF FIRST LINE AS FOLLOWS

Field No. Field name Length of field

1 Agent’s account no. 6

2 Total No. of Receipts 6

3 Total collection amount 16(6 zero appointed)

4 Bank and Agent’s Code 6 (first 3 for bank and 3 for agent)
5 collection date (current date) 8 (DD.MM.YY)

6 Password 8 (first 4 AGENT & next 4 MANAGER)

2.Second line,Defines:
01807,002500, GEETA G MAGI ,002600,15-04-24,000200

MEANING OF 2ND LINE AS FOLLOWS
Field No. Field name Length of field

1 Account No. 6

2 1 day collection 6

3 customer name 16

4 Closing Balance 6
5 opening date 8

6 collection amount 6

Output File field Sequence will be as Shown below

Sequence No Field name Type of Data Length of data  Input Line Number Details to pick the Field

1 Branch Id Numeric 15 To be entered by the User in the Text field
2 Category Code Numeric 1 Default to '1'

3 Scheme Code Char 5 Default to 'PIGMY’

4 Account No. AlphaNumeric 15 Line 2, Field 1

5 Customer Id Numeric 6 Default to '000000'

6 Customer Name Text 50 Line 2, Field 3

7 Closing Balance Decimal 13 Line 2, field 4
8 Agreed Amount Decimal 8 Default to '00000.00'

9 Closing Balance Date Date Format 10 Default to '31-03-2024"

10 Agent ID AlphaNumeric 15 Line 1 ,Field 1'

11 Amount Collected Decimal 10 Line 2 ,Field 6 (Ex:00000200.00)

12 Date of Collection Date format 10 Line 1, Field 5 ("DD-MM-YYYY"--Required output format)
13 Blank Space Null 1 put one blank Space

14 Time of collection Time 5 Default to "00:00"

15 Transaction No. Numeric 4 Default to "0000"

16 Sequence Numeric 4 Default to "0000"

17 Blank Space Null 16 Default to 16 Null characters

Defining the format as below:
1.Branch Id :Here, By Default we are giving =000000000000101 (Need textbox entry in screen for Branch Id)

2.Category Code: Here, By Default we are giving =1
3.Scheme Code :Here, By Default we are giving =PIGMY

4.Account No :They have given only 5 digit account number :01807 so,based on the given structure format they have defined length
as "15" so

in this case in prefix we need to adjust '0's :000000000001807 ( Account No. field from 2nd line of input file)

5.Customer Id: In progress..

6.Customer Name: For the customer name in input file they have give as:GEETA G MAGI ,the length given in input file was
"17".So, based on

the given output structure file length should be "50" :GEETA G MAGI ( Customer Name: field from 2nd line of
input file)

7.Closing Balance: Given closing balance was : 002600 .Based on the given struture format length defined as "13"
:0000002600.00(Here,we are adding perfix to

adjust the length and also adding decimal to indicating that as an amount)-(Closing Balance: field from 2nd line of input file)
8.Agreed Amount: Here, By Default we are giving =00000.00

9.Closing Balance Date :By Default we are giving =31-03-2024

10.Agent ID : In Input fist line they given as :00540 .Here, the structure length should be "15".So here, we adding perfix
:000000000000540.( Agent’s account

no: field from 1st line of input file)

11.Amount Collected:Given amount collected was :000200.Based on the given struture format length defined as "10"
:0000200.00(Here,we are adding perfix to

adjust the length and also adding decimal to indicating that as an amount) and (collection amount: field from 2nd line of input file)

12.Date of Collection:we need take the date of collection in First line of the input file :16-04-2024 (collection date: field from 1st line
of input file)

13.Blank Space: One Blank space

14.Time of collection: By Default we are giving = 00:00

15.Transaction No:By Default we are giving =0000

16.Sequence:By Default we are giving =0000

17.Blank Space:We need to maintain "16" Blank space on the given structure.
Output:

0000000000001011PIGMY000000000001807000000GEETA G MAGI

0000002600.0000000.0031-03-20240000000000005400000200.0016-04-2024 00:0000000000

Device name:Balaji Machine

History

#1 - 26/11/2024 07:10 PM - Krishna Kanth A
- Subject changed from Balaji_Format_FileConversion_Device to BalajiStructureFormat_FileConversion_Device

#2 - 27/11/2024 10:41 AM - Krishna Kanth A

- Tracker changed from Bug to Feature

#3 - 02/12/2024 12:07 PM - Krishna Kanth A
- File Balaji Structure Format.txt added

#4 - 02/12/2024 12:29 PM - Krishna Kanth A
- Description updated

#5 - 02/12/2024 02:32 PM - Krishna Kanth A
- File pcrx 17-04-2024 File from Device - Hallur.dat added

#6 - 03/12/2024 10:51 AM - Praveen kumar Bandi
- Status changed from New to In Progress

- Assignee changed from Durga Konduru to Sairam Lingala

#7 - 12/12/2024 11:11 AM - Narayana Akkipalli

- Assignee changed from Sairam Lingala to Kalyan Battula

#8 - 12/12/2024 11:14 AM - Narayana Akkipalli

- Status changed from In Progress to Deployed in Dev

#9 - 06/01/2025 11:48 AM - Redmine Admin
- Status changed from Deployed in Dev to Closed

- Deployed In set to Production Environment

Files

Balaji Structure Format.txt
pcrx 17-04-2024 File from Device - Hallur.dat
